# List live photos

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/livePhotos?clientId=:id`

This endpoint allows you to list all existing live photos for a given client.\
\
The live photos are returned sorted by creation date, with the most recent live photos appearing first.

### Headers

<table><thead><tr><th width="281">Name</th><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Query parameters

<table><thead><tr><th width="283">Name</th><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>clientId</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the client.</td></tr><tr><td>&#x3C;pagination></td><td>string</td><td>The number of items to return and the number of pages to offset.</td></tr><tr><td>&#x3C;filtering></td><td>string</td><td>Filter the results.</td></tr></tbody></table>

{% hint style="info" %}
You can use [pagination](https://docs.complycube.com/documentation/api-reference/pagination) for this endpoint.
{% endhint %}

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/livePhotos?clientId={:clientId} \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const livePhotos = await complycube.livePhoto.list("CLIENT_ID");
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

photo_list = cc_api.livephotos.list('CLIENT_ID')
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$result = $ccapi->livephotos()->list('CLIENT_ID');
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.LivePhotos;

var livePhotoApi = new LivePhotoApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var livePhotos = await livePhotoApi.ListAsync("CLIENT_ID");
```

{% endtab %}
{% endtabs %}

### Example responses

{% tabs %}
{% tab title="Success (200)" %}

```javascript
{
    "page": 1,
    "pageSize": 100,
    "totalItems": 1,
    "pages": 1,
    "items": [
        {
            "id": "5eb1b5f231778a0008d1c3f6",
            "clientId": "5eb1276d96be4a0008713af5",
            "downloadLink": "/livePhotos/5eb1b5f231778a0008d1c3f6/download",
            "contentType": "images/jpg",
            "performLivenessCheck": true,
            "size": 44896,
            "createdAt": "2020-01-01T14:06:44.756Z",
            "updatedAt": "2020-01-01T14:06:44.756Z"
        }
    ]
}
```

{% endtab %}

{% tab title="Invalid Request (400)" %}

```javascript
{
    "type": "invalid_request",
    "message": "The query parameter 'clientId' is required"
}
```

{% endtab %}
{% endtabs %}
